package com.roo.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* RPC节点配置
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@ApiModel(value = "RPC节点配置")
public class ChainNodesDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id主键")
    private Long id;
    @ApiModelProperty(value = "block_chain_code")
    private String chainCode;
    @ApiModelProperty(value = "网络标识(MAIN=主网，TEST=测试网)")
    private String network;
    @ApiModelProperty(value = "节点RPC链接")
    private String rpcUrl;
    @ApiModelProperty(value = "区块浏览器")
    private String browserUrl;
    @ApiModelProperty(value = "排序，最小靠前")
    private Integer sort;
    @ApiModelProperty(value = "是否启用")
    private Boolean isEnabled;
    @ApiModelProperty(value = "创建时间")
    private Date createDate;
    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

}