package com.roo.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.roo.commons.tools.utils.DateUtils;
import com.roo.commons.tools.validator.group.DefaultGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* dapp管理
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@ApiModel(value = "dapp管理")
public class DappsDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    @ApiModelProperty(value = "名称")
    @Size(min = 1, max = 10, message = "dapps.name.length must be less than or equal to 10 and greater than 0")
    private String name;
    @ApiModelProperty(value = "图标")
    private String icon;
    @ApiModelProperty(value = "类型")
    private String type;
    @ApiModelProperty(value = "访问地址")
    private String links;
    @ApiModelProperty(value = "是否热门（1：热门 0：非热门）")
    private Integer hots;
    @ApiModelProperty(value = "dapp所属链")
    private String chain;
    @ApiModelProperty(value = "dapp介绍")
    @Size(max = 255, message = "dapps.discription.length must be less than or equal to 255")
    private String discription;
    @ApiModelProperty(value = "是否显示（show、hide）")
    private String display;
    @ApiModelProperty(value = "排序（排序，最小靠前）")
    private Integer sort;
    @JsonFormat(pattern = DateUtils.DATE_TIME_PATTERN)
    @ApiModelProperty(value = "收录时间")

    private Date createTime;

}