package com.roo.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
* 交易对管理
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@ApiModel(value = "交易对管理")
public class MarketDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID主键")
    private Long id;
    @ApiModelProperty(value = "符号")
    private String symbol;
    @ApiModelProperty(value = "对比币种")
    private String baseAsset;
    @ApiModelProperty(value = "计价币种")
    private String quoteAsset;
    @ApiModelProperty(value = "排序，正序")
    private Integer sort;
    @ApiModelProperty(value = "发行量")
    private BigDecimal initSupply;
    @ApiModelProperty(value = "小数位")
    private Integer decimals;
    @ApiModelProperty(value = "是否显示")
    private Boolean isShow;
    @ApiModelProperty(value = "创建时间")
    private Date createDate;
    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

}