package com.roo.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* 代币管理
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@ApiModel(value = "代币管理")
public class TokenDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID主键")
    private Long id;
    @ApiModelProperty(value = "block_chain_code")
    private String chainCode;
    @ApiModelProperty(value = "币种名")
    private String name;
    @ApiModelProperty(value = "英文币种名")
    private String nameEn;
    @ApiModelProperty(value = "符号")
    private String symbol;
    @ApiModelProperty(value = "合约地址")
    private String contractId;
    @ApiModelProperty(value = "小数位")
    private Integer decimals;
    @ApiModelProperty(value = "排序,正序")
    private Integer sort;
    @ApiModelProperty(value = "是否系统推荐")
    private Boolean isRecommend;
    @ApiModelProperty(value = "是否可搜索")
    private Boolean isSearch;
    @ApiModelProperty(value = "是否可区块扫描")
    private Boolean isScan;
    @ApiModelProperty(value = "创建时间")
    private Date createDate;
    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

}