package com.roo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;
import java.util.Date;

/**
 * 区块链配置
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class BlockChainExcel {
    @ExcelProperty(value = "ID主键", index = 0)
    private Long id;
    @ExcelProperty(value = "主链标识", index = 1)
    private String code;
    @ExcelProperty(value = "名称", index = 2)
    private String name;
    @ExcelProperty(value = "英文名全称", index = 3)
    private String nameEn;
    @ExcelProperty(value = "图标", index = 4)
    private String icon;
    @ExcelProperty(value = "排序，最小靠前", index = 5)
    private Integer sort;
    @ExcelProperty(value = "是否启用", index = 6)
    private Boolean isEnabled;
    @ExcelProperty(value = "创建时间", index = 7)
    private Date createDate;
    @ExcelProperty(value = "更新时间", index = 8)
    private Date updateDate;
}