package com.roo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;
import java.util.Date;

/**
 * RPC节点配置
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class ChainNodesExcel {
    @ExcelProperty(value = "id主键", index = 0)
    private Long id;
    @ExcelProperty(value = "block_chain_code", index = 1)
    private String chainCode;
    @ExcelProperty(value = "网络标识(MAIN=主网，TEST=测试网)", index = 2)
    private String network;
    @ExcelProperty(value = "节点RPC链接", index = 3)
    private String rpcUrl;
    @ExcelProperty(value = "区块浏览器", index = 4)
    private String browserUrl;
    @ExcelProperty(value = "排序，最小靠前", index = 5)
    private Integer sort;
    @ExcelProperty(value = "是否启用", index = 6)
    private Boolean isEnabled;
    @ExcelProperty(value = "创建时间", index = 7)
    private Date createDate;
    @ExcelProperty(value = "更新时间", index = 8)
    private Date updateDate;
}