package com.roo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 交易对管理
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class MarketExcel {
    @ExcelProperty(value = "ID主键", index = 0)
    private Long id;
    @ExcelProperty(value = "符号", index = 1)
    private String symbol;
    @ExcelProperty(value = "对比币种", index = 2)
    private String baseAsset;
    @ExcelProperty(value = "计价币种", index = 3)
    private String quoteAsset;
    @ExcelProperty(value = "排序，正序", index = 4)
    private Integer sort;
    @ExcelProperty(value = "发行量", index = 5)
    private BigDecimal initSupply;
    @ExcelProperty(value = "小数位", index = 6)
    private Integer decimals;
    @ExcelProperty(value = "是否显示", index = 7)
    private Boolean isShow;
    @ExcelProperty(value = "创建时间", index = 8)
    private Date createDate;
    @ExcelProperty(value = "更新时间", index = 9)
    private Date updateDate;
}