package com.roo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;
import java.util.Date;

/**
 * 代币管理
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class TokenExcel {
    @ExcelProperty(value = "ID主键", index = 0)
    private Long id;
    @ExcelProperty(value = "block_chain_code", index = 1)
    private String chainCode;
    @ExcelProperty(value = "币种名", index = 2)
    private String name;
    @ExcelProperty(value = "英文币种名", index = 3)
    private String nameEn;
    @ExcelProperty(value = "符号", index = 4)
    private String symbol;
    @ExcelProperty(value = "合约地址", index = 5)
    private String contractId;
    @ExcelProperty(value = "小数位", index = 6)
    private Integer decimals;
    @ExcelProperty(value = "排序,正序", index = 7)
    private Integer sort;
    @ExcelProperty(value = "是否系统推荐", index = 8)
    private Boolean isRecommend;
    @ExcelProperty(value = "是否可搜索", index = 9)
    private Boolean isSearch;
    @ExcelProperty(value = "是否可区块扫描", index = 10)
    private Boolean isScan;
    @ExcelProperty(value = "创建时间", index = 11)
    private Date createDate;
    @ExcelProperty(value = "更新时间", index = 12)
    private Date updateDate;
}