package com.roo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.roo.commons.mybatis.service.impl.CrudServiceImpl;
import com.roo.dao.AppRevisionDao;
import com.roo.dto.AppRevisionDTO;
import com.roo.entity.AppRevisionEntity;
import com.roo.service.AppRevisionService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * app版本号
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Service
public class AppRevisionServiceImpl extends CrudServiceImpl<AppRevisionDao, AppRevisionEntity, AppRevisionDTO> implements AppRevisionService {

    @Override
    public QueryWrapper<AppRevisionEntity> getWrapper(Map<String, Object> params){
        String platform = (String) params.get("platform");
        String version = (String) params.get("version");
        QueryWrapper<AppRevisionEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(platform), "platform", platform);
        wrapper.eq(StringUtils.isNotBlank(version), "version", version);
        return wrapper;
    }


}
