package com.roo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.roo.commons.mybatis.service.impl.CrudServiceImpl;
import com.roo.dao.BlockChainDao;
import com.roo.dto.BlockChainDTO;
import com.roo.entity.BlockChainEntity;
import com.roo.service.BlockChainService;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 区块链配置
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Service
public class BlockChainServiceImpl extends CrudServiceImpl<BlockChainDao, BlockChainEntity, BlockChainDTO> implements BlockChainService {

    @Override
    public QueryWrapper<BlockChainEntity> getWrapper(Map<String, Object> params){
        String code = (String) params.get("code");
        Boolean isEnabled = (Boolean) params.get("isEnabled");
        QueryWrapper<BlockChainEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(code), "code", code);
        wrapper.eq(isEnabled != null, "is_enabled", isEnabled);
        return wrapper;
    }


}
