package com.roo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.roo.commons.mybatis.service.impl.CrudServiceImpl;
import com.roo.dao.ChainNodesDao;
import com.roo.dto.ChainNodesDTO;
import com.roo.entity.ChainNodesEntity;
import com.roo.service.ChainNodesService;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * RPC节点配置
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Service
public class ChainNodesServiceImpl extends CrudServiceImpl<ChainNodesDao, ChainNodesEntity, ChainNodesDTO> implements ChainNodesService {

    @Override
    public QueryWrapper<ChainNodesEntity> getWrapper(Map<String, Object> params){
        String chainCode = (String) params.get("chainCode");
        String network = (String) params.get("network");
        Boolean isEnabled = (Boolean) params.get("isEnabled");
        QueryWrapper<ChainNodesEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(chainCode), "chain_code", chainCode);
        wrapper.eq(StringUtils.isNotBlank(network), "network", network);
        wrapper.eq(isEnabled != null, "is_enabled", isEnabled);
        return wrapper;
    }


}
