package com.roo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.roo.commons.mybatis.service.impl.CrudServiceImpl;
import com.roo.dao.DappsDao;
import com.roo.dto.DappsDTO;
import com.roo.entity.DappsEntity;
import com.roo.service.DappsService;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * dapp管理
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Service
public class DappsServiceImpl extends CrudServiceImpl<DappsDao, DappsEntity, DappsDTO> implements DappsService {

    @Override
    public QueryWrapper<DappsEntity> getWrapper(Map<String, Object> params){
        String name = (String) params.get("name");
        String type = (String) params.get("type");
        Boolean hots = (Boolean) params.get("hots");
        String chain = (String) params.get("chain");
        String display = (String) params.get("display");
        QueryWrapper<DappsEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(name), "name", name);
        wrapper.eq(StringUtils.isNotBlank(type), "type", type);
        wrapper.eq(hots != null, "hots", hots);
        wrapper.eq(StringUtils.isNotBlank(chain), "chain", chain);
        wrapper.eq(StringUtils.isNotBlank(display), "display", display);
        return wrapper;
    }


}
