package com.roo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.roo.commons.mybatis.service.impl.CrudServiceImpl;
import com.roo.dao.MarketDao;
import com.roo.dto.MarketDTO;
import com.roo.entity.MarketEntity;
import com.roo.service.MarketService;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 交易对管理
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Service
public class MarketServiceImpl extends CrudServiceImpl<MarketDao, MarketEntity, MarketDTO> implements MarketService {

    @Override
    public QueryWrapper<MarketEntity> getWrapper(Map<String, Object> params){
        String symbol = (String) params.get("symbol");
        String baseAsset = (String) params.get("baseAsset");
        String quoteAsset = (String) params.get("quoteAsset");
        QueryWrapper<MarketEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(symbol), "symbol", symbol);
        wrapper.eq(StringUtils.isNotBlank(baseAsset), "base_asset", baseAsset);
        wrapper.eq(StringUtils.isNotBlank(quoteAsset), "quote_asset", quoteAsset);
        return wrapper;
    }


}
