package com.roo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.roo.commons.mybatis.service.impl.CrudServiceImpl;
import com.roo.dao.OtcDao;
import com.roo.dto.OtcDTO;
import com.roo.entity.OtcEntity;
import com.roo.service.OtcService;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 法币币种
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Service
public class OtcServiceImpl extends CrudServiceImpl<OtcDao, OtcEntity, OtcDTO> implements OtcService {

    @Override
    public QueryWrapper<OtcEntity> getWrapper(Map<String, Object> params){
        String symbol = (String) params.get("symbol");
        Boolean isEnabled = (Boolean) params.get("isEnabled");
        QueryWrapper<OtcEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(symbol), "symbol", symbol);
        wrapper.eq(isEnabled != null, "is_enabled", isEnabled);
        return wrapper;
    }


}
