package com.roo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.roo.commons.mybatis.service.impl.CrudServiceImpl;
import com.roo.dao.TokenDao;
import com.roo.dto.TokenDTO;
import com.roo.entity.TokenEntity;
import com.roo.service.TokenService;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 代币管理
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Service
public class TokenServiceImpl extends CrudServiceImpl<TokenDao, TokenEntity, TokenDTO> implements TokenService {

    @Override
    public QueryWrapper<TokenEntity> getWrapper(Map<String, Object> params){
        String chainCode = (String) params.get("blockChainCode");
        String symbol = (String) params.get("symbol");
        String contractId = (String) params.get("contractId");
        Boolean isRecommend = (Boolean) params.get("isRecommend");
        Boolean isSearch = (Boolean) params.get("isSearch");
        Boolean isScan = (Boolean) params.get("isScan");

        QueryWrapper<TokenEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(chainCode), "chain_code", chainCode);
        wrapper.eq(StringUtils.isNotBlank(symbol), "symbol", symbol);
        wrapper.eq(StringUtils.isNotBlank(contractId), "contract_id", contractId);
        wrapper.eq(isRecommend != null, "is_recommend", isRecommend);
        wrapper.eq(isSearch != null, "is_search", isSearch);
        wrapper.eq(isScan != null, "is_scan", isScan);
        return wrapper;
    }
}
