/**
 * Copyright (c) 2016-2020  All rights reserved.
 * <p>
 *
 * <p>
 *
 */

package com.roo.feign.fallback;

import com.roo.commons.tools.utils.Result;
import feign.hystrix.FallbackFactory;
import com.roo.dto.UploadDTO;
import com.roo.feign.OssFeignClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * OSS FallbackFactory
 *
 * @author Mark sunlightcs@gmail.com
 */
@Slf4j
@Component
public class OssFeignClientFallbackFactory implements FallbackFactory<OssFeignClient> {
    @Override
    public OssFeignClient create(Throwable throwable) {
        log.error("{}", throwable);

        return file -> new Result<UploadDTO>().error();
    }
}
