/**
 * Copyright (c) 2019  All rights reserved.
 *
 *
 *
 *
 */
package com.roo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.roo.commons.mybatis.service.impl.CrudServiceImpl;
import com.roo.commons.tools.exception.RenException;
import com.roo.dao.StorageDao;
import com.roo.dto.StorageDTO;
import com.roo.entity.StorageEntity;
import com.roo.service.StorageService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;

/**
 * 库存表
 *
 * @author Mark sunlightcs@gmail.com
 */
@Service
public class StorageServiceImpl extends CrudServiceImpl<StorageDao, StorageEntity, StorageDTO> implements StorageService {

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deduct(String commodityCode, int count) {
        int updateCount = baseDao.updateDeduct(commodityCode, count);
        if (updateCount == 0) {
            throw new RenException("库存数不足，请稍后再试！");
        }
    }

    @Override
    public QueryWrapper<StorageEntity> getWrapper(Map<String, Object> params){
        return null;
    }

}
